calcite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Julian Hyde <jh...@apache.org>
Subject Upgrading Guava
Date Mon, 29 Feb 2016 22:20:05 GMT
Michael Mior would like to upgrade Guava from 14 to 15 so that we can use Cassandra 3.0. But
I know some projects (e.g. Hive) depend on earlier versions. So, how to please everyone?

I have logged https://issues.apache.org/jira/browse/CALCITE-1111 <https://issues.apache.org/jira/browse/CALCITE-1111>
and am suggesting solving the problem by making Guava what Maven calls a “provided” dependency.
Do you think that might work?

If this works, we might try the same approach with Jackson. (Jackson is currently shaded in
Avatica but not relocated.)

Julian


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message